View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000310Ecere SDKidepublic2010-02-02 18:322013-05-19 22:15
Reportersacrebleu 
Assigned Tojerome 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version0.44.07Fixed in Version0.44.07 
Summary0000310: Support for __attribute__((warning("uh oh")))
Description#define _CURL_WARNING(id, message) \
  static void __attribute__((warning(message))) __attribute__((unused)) \
  __attribute__((noinline)) id(void) { __asm__(""); }

_CURL_WARNING(_curl_easy_setopt_err_long,
  "curl_easy_setopt_expects_a_long_argument_for_this_option")

TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000736)
jerome (administrator)
2013-04-25 10:01

This has been fixed as part of supporting Android headers (Proper __attribute__ support has been added)

- Issue History
Date Modified Username Field Change
2010-02-02 18:32 sacrebleu New Issue
2010-02-03 07:09 sacrebleu Status new => assigned
2010-02-03 07:09 sacrebleu Assigned To => jerome
2010-02-23 05:21 jerome Severity block => minor
2010-02-23 05:22 jerome Summary can you file an eC compiling tools mantis issue for __attribute__((warning("uh oh"))) => Support for __attribute__((warning("uh oh")))
2010-02-23 05:22 jerome Description Updated
2010-07-25 20:36 redj Relationship added child of 0000430
2012-03-08 16:52 redj Target Version => 0.45 Ginkakuji
2012-03-29 07:52 redj Category => ide
2012-03-29 07:52 redj Project @3@ => Ecere SDK
2013-04-24 20:36 jerome Status assigned => new
2013-04-24 20:36 jerome Assigned To jerome =>
2013-04-25 10:01 jerome Status new => resolved
2013-04-25 10:01 jerome Fixed in Version => 0.44.07
2013-04-25 10:01 jerome Resolution open => fixed
2013-04-25 10:01 jerome Assigned To => jerome
2013-04-25 10:01 jerome Note Added: 0000736
2013-04-25 21:37 jerome Target Version 0.45 Ginkakuji => 0.44.07
2013-05-19 22:15 jerome Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker